# std::stack::swap

From cppreference.com
< cpp‎ | container‎ | stack

void swap( stack& other ) noexcept(/* see below */); |  | (since C++11)

Exchanges the contents of the container adaptor with those of `other`. Effectively calls using std::swap; swap(c, other.c);

### Parameters

other | - | container adaptor to exchange the contents with

### Return value

(none)

### Exceptions

In the noexcept expressions below, the identifier `swap` is looked up in the same manner as the C++17 std::is_nothrow_swappable trait. `noexcept` specification: noexcept(noexcept(swap(c, other.c))) | (until C++17)
`noexcept` specification: noexcept(std::is_nothrow_swappable<Container>::value) | (since C++17)

### Complexity

Same as underlying container (typically constant)

### See also

std::swap(std::stack) | specializes the std::swap algorithm (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/stack/swap&oldid=50675"
Category:

- conditionally noexcept